#
# spec file for package xsadp (Version 3.1.5c)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  alsa alsa-devel libjpeg xf86 xforms xformsd
# usedforbuild    aaa_base aaa_dir alsa alsa-devel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libjpeg libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xforms xformsd xshared

Name:         xsadp
Summary:      Graphical CD-Player with real-time spectrum analysis
Version:      3.1.5c
Release:      57
Copyright:  GPL
Group:      X11/Applications/Multimedia
URL:        http//:www.alphalink.com.au/~michg/ace/sadp
Source:     xsadp-%{version}.tar.gz
Patch:      xsadp-%{version}.dif

%description
This graphical CD-Player has some extra features: Beside the possibility to
access databases in the web it shows you a real time spectrum analysis and
allows to control volume, ballance etc. via a integrated mixer.
You can sing along and see the analysis of your voice ;)

Authors:
--------
    Michael Glickman <xsadp@yahoo.com>

SuSE series: snd

%prep
%setup
%patch

%build
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr/X11R6
make

%install
make install

%clean

%files
%doc CHANGES COPYRIGHT README.1ST.OLD Readme.install documentation/*.txt documentation/README
%doc /usr/X11R6/man/man1/sadp.1.gz
%doc /usr/X11R6/man/man1/xsadp.1.gz
/usr/X11R6/bin/xsadp
/usr/X11R6/bin/sadp
/usr/X11R6/lib/X11/app-defaults/XSadp
/etc/rcddb.sites

%changelog -n xsadp
* Mon Aug 20 2001 - freitag@suse.de
- update to 3.1.5 and alsa support enabled.
* Mon Apr 09 2001 - ro@suse.de
- fixed group tag
* Mon Sep 25 2000 - ro@suse.de
- added libjpeg to neededforbuild
* Thu May 25 2000 - freitag@suse.de
- update to version 3.1.3
* Tue Feb 08 2000 - freitag@suse.de
- update to version 2.2.1a
* Tue Nov 30 1999 - freitag@suse.de
  initial version 2.1.2c
-
